#include "std.mi"

Global Group		grpMain;
Global Group		grpRepeat;
Global Button		btnRepeat;
Global Layer		lyrRepeat;

System.onScriptLoaded() {

	grpMain 	= getScriptGroup();
	grpRepeat 	= grpMain.findObject("RepeatButton.Group");
	btnRepeat 	= grpRepeat.findObject("Repeat");
	lyrRepeat	= grpRepeat.findObject("RepeatDown");

	lyrRepeat.Hide();
}

btnRepeat.onLeftButtonDown(int x, int y) {

	btnRepeat.setAlpha(0);
	lyrRepeat.Show();
}

btnRepeat.onLeftButtonUp(int x, int y) {

	btnRepeat.setAlpha(255);
	lyrRepeat.Hide();
}